public final class world{
    //constant
    int atomQty,
        maxAtom;
    double surfBounce = 0.40d;
    double surfFriction = 0.90d;
    vector boxPos = new vector(400,70),
           boxSize = new vector(340,470),
           gravity = new vector(0,40000);
    
    vectorFunc v = new vectorFunc();
    
    //circle
    vector center;
    double radius;

    //var
    atom atomLst[];
    
    
//    public world(int max)
//    {
//        atomQty = 0;
//        maxAtom = max;
//        atomLst = new atom[max];
//    }
    
    public world(int max, vector pos, vector size, double rad)
    {
        atomQty = 0;
        maxAtom = max;
        atomLst = new atom[max];
        boxPos = pos;
        boxSize = size;
        radius = rad;
        center = v.add(pos,v.scale(size,0.5));
    }
    
    public world(world old)
    {
        atomQty = 0;
        maxAtom = old.maxAtom;
        surfBounce = old.surfBounce;
        surfFriction= old.surfFriction;
        boxPos = old.boxPos;
        boxSize = old.boxSize;
        gravity = old.gravity;
        atomLst = new atom[maxAtom];
        center = old.center;
        radius = old.radius;
    }
    
    public void append(atom nuatom)
    {
        if (atomQty < maxAtom)
            atomLst[atomQty++] = nuatom;
    }
};
